Should I be able to run two different “close” code versions of wordpress with the same DB

A concrete example – I am upgrading to 4.1 from 4.0, the upgrade was successful but I discovered that a plugin broke. Can I just revert the code.

The real live issue I am facing is having two wordpress “application” servers behind a load balancer connected to one DB. When there is the time to upgrade can I run the upgrade on one of them (which will upgrade the DB as well) and realistically expect the other to keep functioning?

Solutions Collecting From Web of "Should I be able to run two different “close” code versions of wordpress with the same DB"